<!-- Do not edit this file. It is automatically generated by API Documenter. -->

[Home](./index.md) &gt; [iceshrimp-js](./iceshrimp-js.md) &gt; [entities](./iceshrimp-js.entities.md) &gt; [NoteFavorite](./iceshrimp-js.entities.notefavorite.md)

## entities.NoteFavorite type

**Signature:**

```typescript
export declare type NoteFavorite = {
	id: ID;
	createdAt: DateString;
	noteId: Note["id"];
	note: Note;
};
```
**References:** [ID](./iceshrimp-js.entities.id.md)<!-- -->, [DateString](./iceshrimp-js.entities.datestring.md)<!-- -->, [Note](./iceshrimp-js.entities.note.md)

